Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 185031 - No support for listening on the source format changes in the SourceLevelQuery
No support for listening on the source format changes in the SourceLevelQuery
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
PC Windows XP
: P3 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@java
:
Depends on: 188304
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 16:48 UTC by ulfzibis
Modified: 2010-10-12 11:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2010-04-26 16:48:21 UTC
[ BUILD # : Beta ]
[ JDK VERSION : 1.6.* ]

Let's have in a JDK-7 project:
List<T> list = new ArrayList<T>();

I get a "Use diamond operator" hint.

If I change the source format of the project to 1.6, this hint doesn't
disappear.
Additionally no error is detected on a string switch statement.
Comment 1 Dusan Balek 2010-04-29 11:36:03 UTC
Unfortunately, there is no support for listening on the source format changes in the current SourceLevelQuery. Therefore, error badges and hints are updated on the  first reparse of the document (can be initiated by typing, moving focus out and back to the document, etc.). P4 IMHO.
Comment 2 Tomas Zezula 2010-06-30 14:06:47 UTC
Makes sense, scheduling for 6.10.
Comment 3 Tomas Zezula 2010-10-12 11:38:50 UTC
Fixed jet-main 05c1ac38a4a6


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo